## handbrake 1.7.1+ds1

=== debian/changelog ===
handbrake (1.7.1+ds1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Dec 2023 08:57:13 -0800

handbrake (1.7.1+ds1-1) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/gbp.conf: Set compression to xz
  * d/control: Replace transitional B-Ds with their replacements

  [ Sebastian Ramacher ]
  * New upstream version 1.7.1+ds1
  * debian/patches:
    - Refresh patches
    - Remove ambient view support added via contrib patches
  * debian/rules:
    - Remove no longer supported option
    - Fix missing include paths for vpl
  * debian/control:
    - BD on libsvtav1enc-dev
    - Bump ffmpeg BDs to >= 7:6.1
    - Add BDs on meson and ninja-build

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Dec 2023 23:51:38 +0100

=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Sebastian Ramacher <sramacher@debian.org>
Homepage: https://handbrake.fr/
Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
Standards-Version: 4.6.2
Build-Depends: automake,
               cmake,
               debhelper-compat (= 13),
               intltool,
               libass-dev,
               libavcodec-dev (>= 7:6.1),
               libavfilter-dev (>= 7:6.1),
               libavformat-dev (>= 7:6.1),
               libavutil-dev (>= 7:6.1),
               libbluray-dev,
               libbz2-dev,
               libdrm-dev [amd64],
               libdvdnav-dev,
               libdvdread-dev,
               libffmpeg-nvenc-dev [amd64 arm64 i386],
               libfontconfig-dev,
               libfreetype-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libgudev-1.0-dev [linux-any],
               libjansson-dev,
               liblzma-dev,
               libmp3lame-dev,
               libmpeg2-4-dev,
               libogg-dev,
               libopus-dev,
               libspeex-dev,
               libsvtav1enc-dev,
               libswresample-dev,
               libswscale-dev,
               libtheora-dev,
               libturbojpeg0-dev,
               libva-dev [amd64],
               libvorbis-dev,
               libvpl-dev [amd64],
               libvpx-dev,
               libx264-dev,
               libx265-dev,
               libxml2-dev,
               meson,
               nasm,
               ninja-build,
               python3,
               yasm
Rules-Requires-Root: no

Package: handbrake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
            gstreamer1.0-libav,
            gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
            gstreamer1.0-x
Description: versatile DVD ripper and video transcoder (GTK+ GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the graphical variant, ghb.

Package: handbrake-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the command-line variant, HandBrakeCLI.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# enable qsv on amd64
ifeq (,$(filter-out amd64,$(DEB_HOST_ARCH)))
confflags += --enable-qsv
# work around missing -I for mfxvideo.h
export DEB_CFLAGS_MAINT_APPEND=-I/usr/include/vpl
else
confflags += --disable-qsv
endif

# enable nvenc on amd64 arm64 i386
ifeq (,$(filter-out amd64 arm64 i386,$(DEB_HOST_ARCH)))
confflags += --enable-nvenc
else
confflags += --disable-nvenc
endif

%:
	dh $@ --builddirectory=$(DEB_BUILD_GNU_TYPE)

override_dh_auto_configure:
	bash ./configure \
		--prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--debug=std \
		--disable-fdk-aac \
		--disable-numa \
		--enable-x265 \
		--disable-df-fetch \
		--disable-df-verify \
		$(confflags) \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs NEWS.markdown

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## handbrake 1.7.2+ds1

=== gtk/meson_options.txt ===
option('extra-libdirs',
       type: 'array',
       value: [],
       description: 'Extra directories to search for libraries')

option('fdk-aac',
       type: 'feature',
       value: 'disabled',
       description: 'Enable FDK AAC encoder')

option('flatpak',
       type: 'boolean',
       value: false,
       description: 'Enable Flatpak packaging')

option('gstreamer',
       type: 'feature',
       value: 'disabled',
       description: 'Disable gstreamer (live preview)')

option('gtk4',
       type: 'boolean',
       value: false,
       description: 'Enable building with GTK4')

option('hb-dir',
       type: 'string',
       value: '',
       description: 'Prefix of libhb install directory')

option('libdovi',
       type: 'feature',
       value: 'disabled',
       description: 'Enable libdovi for Dolby Vision support')

option('mf',
       type: 'feature',
       value: 'disabled',
       description: 'Enable MediaFoundation encoder')

option('numa',
       type: 'feature',
       value: 'disabled',
       description: 'Enable x265 NUMA support')

option('qsv',
       type: 'feature',
       value: 'disabled',
       description: 'Enable QSV encoder')

option('x265',
       type: 'feature',
       value: 'disabled',
       description: 'Enable x265 encoder')

=== debian/changelog ===
handbrake (1.7.2+ds1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:35 +1100

handbrake (1.7.2+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:00:28 +0000

handbrake (1.7.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.7.2+ds1
  * debian/control: Process SVG icons with scour

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Dec 2023 22:21:24 +0100

=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Ramacher <sramacher@debian.org>
Homepage: https://handbrake.fr/
Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
Standards-Version: 4.6.2
Build-Depends:
 automake,
 cmake,
 debhelper-compat (= 13),
 dh-sequence-scour,
 intltool,
 libass-dev,
 libavcodec-dev (>= 7:6.1),
 libavfilter-dev (>= 7:6.1),
 libavformat-dev (>= 7:6.1),
 libavutil-dev (>= 7:6.1),
 libbluray-dev,
 libbz2-dev,
 libdrm-dev [amd64],
 libdvdnav-dev,
 libdvdread-dev,
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libfontconfig-dev,
 libfreetype-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libgudev-1.0-dev [linux-any],
 libjansson-dev,
 liblzma-dev,
 libmp3lame-dev,
 libmpeg2-4-dev,
 libogg-dev,
 libopus-dev,
 libspeex-dev,
 libsvtav1enc-dev,
 libswresample-dev,
 libswscale-dev,
 libtheora-dev,
 libturbojpeg0-dev,
 libva-dev [amd64],
 libvorbis-dev,
 libvpl-dev [amd64],
 libvpx-dev,
 libx264-dev,
 libx265-dev,
 libxml2-dev,
 meson,
 nasm,
 ninja-build,
 python3,
 yasm
Rules-Requires-Root: no

Package: handbrake
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gstreamer1.0-libav,
 gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
 gstreamer1.0-x
Description: versatile DVD ripper and video transcoder (GTK+ GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the graphical variant, ghb.

Package: handbrake-cli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the command-line variant, HandBrakeCLI.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.markdown
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## handbrake 1.8.1+ds1

=== debian/changelog ===
handbrake (1.8.1+ds1-2build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:13:51 +0200

handbrake (1.8.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 20:09:21 +0200

handbrake (1.8.1+ds1-1) experimental; urgency=medium

  * New upstream version 1.8.1+ds1
    - Fix build with ffmpeg 7.0 (Closes: #1072423)
  * debian/control:
    - Bump Standards-Version
    - Bump libav* build dependencies
    - Add pkgconf to Build-Depends
    - Switch libgtk-3-dev to libgtk-4-dev
    - Remove gstreamer (Build-)Depends
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Jul 2024 23:08:59 +0200

## handbrake 1.8.2+ds1

=== debian/changelog ===
handbrake (1.8.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.8.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2024 00:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: handbrake
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
 Homepage: https://handbrake.fr/
 Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  automake,
  cmake,
@@ -17,10 +16,10 @@
  dh-sequence-scour,
  intltool,
  libass-dev,
- libavcodec-dev (>= 7:6.1),
- libavfilter-dev (>= 7:6.1),
- libavformat-dev (>= 7:6.1),
- libavutil-dev (>= 7:6.1),
+ libavcodec-dev (>= 7:7.0),
+ libavfilter-dev (>= 7:7.0),
+ libavformat-dev (>= 7:7.0),
+ libavutil-dev (>= 7:7.0),
  libbluray-dev,
  libbz2-dev,
  libdrm-dev [amd64],
@@ -29,9 +28,7 @@
  libffmpeg-nvenc-dev [amd64 arm64 i386],
  libfontconfig-dev,
  libfreetype-dev,
- libgstreamer-plugins-base1.0-dev,
- libgstreamer1.0-dev,
- libgtk-3-dev,
+ libgtk-4-dev,
  libgudev-1.0-dev [linux-any],
  libjansson-dev,
  liblzma-dev,
@@ -56,6 +53,7 @@
  nasm,
  ninja-build,
  python3,
+ pkgconf,
  yasm
 Rules-Requires-Root: no
 
@@ -64,10 +62,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends:
- gstreamer1.0-libav,
- gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
- gstreamer1.0-x
 Description: versatile DVD ripper and video transcoder (GTK+ GUI)
  HandBrake is a versatile, easy-to-use tool for converting DVDs and other
  videos into H.264, XViD, or Ogg formatted media. It's particularly useful

## handbrake 1.9.0

=== debian/changelog ===
handbrake (1.9.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Dec 2024 18:56:09 -0800

handbrake (1.9.0-0build3~ubuntu22.04) jammy; urgency=medium

  * New upstream release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Mon, 21 Aug 2023 23:44:46 +0200

handbrake (1.8.0-0build7~ubuntu24.04) noble; urgency=medium

  * New upstream release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Mon, 21 Aug 2023 23:44:46 +0200

handbrake (1.7.3-0build2~ubuntu24.04) noble; urgency=medium

  * New upstream release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Mon, 21 Aug 2023 23:44:46 +0200

## handbrake 1.9.0+ds1

=== debian/changelog ===
handbrake (1.9.0+ds1-2) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix build on arm64

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Jan 2025 23:38:56 +0100

handbrake (1.9.0+ds1-1) unstable; urgency=medium

  * New upstream version 1.9.0+ds1
  * debian/patches: Drop patches from upstream
  * debian/control: BD on libx265-dev (>= 4.1) as required by upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Jan 2025 08:54:01 +0100

handbrake (1.8.2+ds1-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to fix build with ffmpeg 7.1 (Closes: #1086274)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 12:02:52 -0500

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
  libvpl-dev [amd64],
  libvpx-dev,
  libx264-dev,
- libx265-dev,
+ libx265-dev (>= 4.1),
  libxml2-dev,
  meson,
  nasm,

## handbrake 1.9.1

=== debian/changelog ===
handbrake (1.9.1-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Feb 2025 18:39:17 -0800

handbrake (1.9.1-0build1~ubuntu22.04) jammy; urgency=medium

  * New upstream release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Mon, 21 Aug 2023 23:44:46 +0200

=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Sebastian Ramacher <sramacher@debian.org>
Homepage: https://handbrake.fr/
Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
Standards-Version: 4.6.2
Build-Depends: appstream,
               autoconf,
               automake,
               autopoint,
               binutils,
               cargo,
               cargo-c [amd64],
               clang,
               cmake,
               debhelper-compat (= 12),
               git,
               gstreamer1.0-libav,
               intltool,
               libappindicator3-dev,
               libass-dev,
# libavcodec-dev (>= 7:6.1),
# libavfilter-dev (>= 7:6.1),
# libavformat-dev (>= 7:6.1),
# libavutil-dev (>= 7:6.1),
               libbluray-dev,
               libbz2-dev,
               libdbus-glib-1-dev,
               libdrm-dev,
# libdav1d-dev,
               libdrm-dev [amd64],
               libdvdnav-dev,
               libdvdread-dev,
               libffmpeg-nvenc-dev [amd64 arm64 i386],
               libfontconfig1-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-4-dev,
               libgudev-1.0-dev [linux-any],
# libharfbuzz-dev,
               libjansson-dev,
               liblzma-dev,
               libmfx-dev [amd64],
               libmp3lame-dev,
               libmpeg2-4-dev,
               libnotify-dev,
               libnuma-dev,
               libogg-dev,
               libopus-dev,
               librust-anyhow-dev,
               libsamplerate-dev,
               libspeex-dev,
# libswresample-dev,
# libsvtav1enc-dev,
# libswscale-dev,
               libtheora-dev,
               libtool,
               libtool-bin,
               libturbojpeg0-dev,
               libva-dev,
               libvorbis-dev,
               libvpl-dev [amd64],
               libvpx-dev,
               libwebkit2gtk-4.1-dev,
               libx264-dev,
               libxml2-dev,
               libzimg-dev,
               m4,
               meson,
               nasm,
               ninja-build,
               patch,
               pkg-config,
               python3,
               tar,
               yasm,
               zlib1g-dev
Rules-Requires-Root: no

Package: handbrake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gstreamer1.0-libav,
            gstreamer1.0-pulseaudio | gstreamer1.0-alsa,
            gstreamer1.0-x
Description: versatile DVD ripper and video transcoder (GTK+ GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the graphical variant, ghb.

Package: handbrake-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the command-line variant, HandBrakeCLI.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
export DEB_CFLAGS_MAINT_APPEND=-Wno-error
export DEB_CXXFLAGS_MAINT_APPEND=-Wno-error

# enable qsv on amd64
ifeq (,$(filter-out amd64,$(DEB_HOST_ARCH)))
confflags += --enable-qsv --enable-libdovi
else
confflags += --disable-qsv --disable-libdovi
endif

# enable nvenc on amd64 arm64 i386
ifeq (,$(filter-out amd64 arm64 i386,$(DEB_HOST_ARCH)))
confflags += --enable-nvenc \
             --enable-vce
else
confflags += --disable-nvenc \
             --disable-vce
endif

%:
	dh $@ --builddirectory=$(DEB_BUILD_GNU_TYPE)

override_dh_auto_configure:
	mv debian/download ./ && bash ./configure \
		--prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--debug=std \
		--disable-fdk-aac \
		--disable-numa \
		--enable-x265 \
		--enable-libdovi \
		--disable-df-fetch \
		--disable-df-verify \
		$(confflags) \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs NEWS.markdown

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## handbrake 1.9.2%2Bds1

=== debian/changelog ===
handbrake (1.9.2+ds1-1build4) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 17:19:24 -0500

handbrake (1.9.2+ds1-1build3) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 22:34:34 -0400

handbrake (1.9.2+ds1-1build2) resolute; urgency=medium

  * Rebuild against new libx264-165.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Oct 2025 19:44:08 +0200

handbrake (1.9.2+ds1-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:04:58 +0200

handbrake (1.9.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.9.2+ds1
  * debian/patches: Remove patch included upstream
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Feb 2025 22:12:24 +0100

## handbrake 1.9.2+ds1

=== debian/changelog ===
handbrake (1.9.2+ds1-1build5) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:55:05 +0000

=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Ramacher <sramacher@debian.org>
Homepage: https://handbrake.fr/
Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
Standards-Version: 4.7.1
Build-Depends:
 automake,
 cmake,
 debhelper-compat (= 13),
 dh-sequence-scour,
 intltool,
 libass-dev,
 libavcodec-dev (>= 7:7.0),
 libavfilter-dev (>= 7:7.0),
 libavformat-dev (>= 7:7.0),
 libavutil-dev (>= 7:7.0),
 libbluray-dev,
 libbz2-dev,
 libdrm-dev [amd64],
 libdvdnav-dev,
 libdvdread-dev,
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libfontconfig-dev,
 libfreetype-dev,
 libgtk-4-dev,
 libgudev-1.0-dev [linux-any],
 libjansson-dev,
 liblzma-dev,
 libmp3lame-dev,
 libmpeg2-4-dev,
 libogg-dev,
 libopus-dev,
 libspeex-dev,
 libsvtav1enc-dev,
 libswresample-dev,
 libswscale-dev,
 libtheora-dev,
 libturbojpeg0-dev,
 libva-dev [amd64],
 libvorbis-dev,
 libvpl-dev [amd64],
 libvpx-dev,
 libx264-dev,
 libx265-dev (>= 4.1),
 libxml2-dev,
 meson,
 nasm,
 ninja-build,
 python3,
 pkgconf,
 yasm
Rules-Requires-Root: no

Package: handbrake
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (GTK+ GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the graphical variant, ghb.

Package: handbrake-cli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the command-line variant, HandBrakeCLI.

## handbrake 1.10.2+ds1

=== gtk/meson_options.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-option('extra-libdirs',
-       type: 'array',
-       value: [],
-       description: 'Extra directories to search for libraries')
-
 option('fdk-aac',
        type: 'feature',
        value: 'disabled',
@@ -12,16 +7,6 @@
        type: 'boolean',
        value: false,
        description: 'Enable Flatpak packaging')
-
-option('gstreamer',
-       type: 'feature',
-       value: 'disabled',
-       description: 'Disable gstreamer (live preview)')
-
-option('gtk4',
-       type: 'boolean',
-       value: false,
-       description: 'Enable building with GTK4')
 
 option('hb-dir',
        type: 'string',

=== debian/changelog ===
handbrake (1.10.2+ds1-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Nov 2025 09:19:11 -0800

handbrake (1.10.2+ds1-1) experimental; urgency=medium

  [ Lorenzo Puliti ]
  * drop yasm from B-D, nasm is already in use (Closes: #1104222)

  [ Sebastian Ramacher ]
  * New upstream version 1.10.2+ds1
  * debian/patches: Refresh patches
  * debian/copyright:
    - Bump libsvtav1enc-dev build dependency
    - Bump Standards-Version
  * debian/copyright: Update for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Sep 2025 23:00:52 +0200

=== debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Sebastian Ramacher <sramacher@debian.org>
Homepage: https://handbrake.fr/
Vcs-Git: https://salsa.debian.org/multimedia-team/handbrake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/handbrake
Standards-Version: 4.7.2
Build-Depends: automake,
               cmake,
               debhelper-compat (= 13),
               dh-sequence-scour,
               intltool,
               libass-dev,
               libavcodec-dev (>= 7:7.0),
               libavfilter-dev (>= 7:7.0),
               libavformat-dev (>= 7:7.0),
               libavutil-dev (>= 7:7.0),
               libbluray-dev,
               libbz2-dev,
               libdrm-dev [amd64],
               libdvdnav-dev,
               libdvdread-dev,
               libffmpeg-nvenc-dev [amd64 arm64 i386],
               libfontconfig-dev,
               libfreetype-dev,
               libgtk-4-dev,
               libgudev-1.0-dev [linux-any],
               libjansson-dev,
               liblzma-dev,
               libmp3lame-dev,
               libmpeg2-4-dev,
               libogg-dev,
               libopus-dev,
               libspeex-dev,
               libsvtav1enc-dev (>= 3),
               libswresample-dev,
               libswscale-dev,
               libtheora-dev,
               libturbojpeg0-dev,
               libva-dev [amd64],
               libvorbis-dev,
               libvpl-dev [amd64],
               libvpx-dev,
               libx264-dev,
               libx265-dev (>= 4.1),
               libxml2-dev,
               meson,
               nasm,
               ninja-build,
               pkgconf,
               python3
Rules-Requires-Root: no

Package: handbrake
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (GTK+ GUI)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media. It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the graphical variant, ghb.

Package: handbrake-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: versatile DVD ripper and video transcoder (command line)
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other
 videos into H.264, XViD, or Ogg formatted media.  It's particularly useful
 for making videos that are compatible with portable video devices such as
 the Apple iPod/iPhone or Sony PSP.
 .
 This package contains the command-line variant, HandBrakeCLI.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# enable qsv on amd64
ifeq (,$(filter-out amd64,$(DEB_HOST_ARCH)))
confflags += --enable-qsv
# work around missing -I for mfxvideo.h
export DEB_CFLAGS_MAINT_APPEND=-I/usr/include/vpl
else
confflags += --disable-qsv
endif

# enable nvenc on amd64 arm64 i386
ifeq (,$(filter-out amd64 arm64 i386,$(DEB_HOST_ARCH)))
confflags += --enable-nvenc
else
confflags += --disable-nvenc
endif

%:
	dh $@ --builddirectory=$(DEB_BUILD_GNU_TYPE)

override_dh_auto_configure:
	bash ./configure \
		--prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--debug=std \
		--disable-fdk-aac \
		--disable-numa \
		--disable-libdovi \
		--enable-x265 \
		--disable-df-fetch \
		--disable-df-verify \
		$(confflags) \
		CC="$(CC)" CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs NEWS.markdown

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
